import 'package:flutter/material.dart';
import 'package:zhiying_base_widget/widgets/custom/ordedr_found/order_found_nav/order_found_nav.dart';
import 'package:zhiying_comm/zhiying_comm.dart';

///订单搜索页
class OrderFoundSearchPage extends StatefulWidget {
  @override
  _OrderFoundSearchPageState createState() => _OrderFoundSearchPageState();
}

class _OrderFoundSearchPageState extends State<OrderFoundSearchPage> {
  @override
  Widget build(BuildContext context) {
    return Stack(
      children: [
        Scaffold(
          appBar: _buildAppBar(),
          body: Container(
            child: ListView(
              children: [
                _buildSearch(),
                _buildCenter(),
                _buildBottom(),
                _buildTest()
              ],
            ),
          ),
        ),
      ],
    );
  }

  _buildAppBar() {
    return AppBar(
      leading: Navigator.canPop(context)
          ? IconButton(
              icon: Icon(
                Icons.arrow_back_ios_rounded,
              ),
              iconSize: 18,
              onPressed: () {
                Navigator.pop(context);
              })
          : Container(),
      title: Text(
        "订单查询",
        style: TextStyle(fontSize: 17),
      ),
      centerTitle: true,
      actions: [IconButton(icon: Icon(Icons.refresh), onPressed: () {})],
    );
  }

  ///构建搜索
  _buildSearch() {
    return Container(
      height: 50,
      decoration: BoxDecoration(color: Colors.white, borderRadius: BorderRadius.circular(10), border: Border.all(color: Colors.white)),
      margin: EdgeInsets.only(left: 10, right: 10, top: 10, bottom: 10),
      padding: EdgeInsets.only(left: 10, right: 4),
      child: Row(
        children: [
          Expanded(
              child: TextField(
            decoration: InputDecoration(border: InputBorder.none, hintText: "请输入或粘粘淘宝订单编号", hintStyle: TextStyle(color: HexColor.fromHex("#999999"), fontSize: 14), isDense: true),
          )),
          Container(
            height: 42,
            alignment: Alignment.center,
            padding: EdgeInsets.only(left: 24, right: 24),
            decoration: BoxDecoration(color: HexColor.fromHex("#FF2020"), borderRadius: BorderRadius.circular(10)),
            child: Text(
              "搜索",
              style: TextStyle(color: HexColor.fromHex("#FFFFFF")),
            ),
          ),
        ],
      ),
    );
  }

  _buildCenter() {
    return Container(
      margin: EdgeInsets.only(left: 10, right: 10, top: 10, bottom: 10),
      padding: EdgeInsets.only(left: 10, right: 10, top: 10, bottom: 10),
      decoration: BoxDecoration(color: HexColor.fromHex("#FFFFFF"), borderRadius: BorderRadius.circular(10)),
      child: Column(
        children: [
          Row(
            children: [
              Container(
                width: 4,
                height: 14,
                decoration: BoxDecoration(color: HexColor.fromHex("#FF2020"), borderRadius: BorderRadius.circular(10)),
                margin: EdgeInsets.only(right: 10),
              ),
              Text(
                "如何获取订单编号？",
                style: TextStyle(color: HexColor.fromHex("#333333"), fontSize: 15, fontWeight: FontWeight.w500),
              )
            ],
          ),
          SizedBox(
            height: 16,
          ),
          CachedNetworkImage(
            imageUrl: "https://alipic.lanhuapp.com/SketchPng9ae52da74764fe05917a1d5a4a8d5eb94a9013106c4412056afa00340164bde5",
            fit: BoxFit.fitWidth,
          )
        ],
      ),
    );
  }

  _buildBottom() {
    return Container(
      margin: EdgeInsets.only(left: 10, right: 10, top: 0, bottom: 10),
      padding: EdgeInsets.only(left: 10, right: 10, top: 10, bottom: 10),
      decoration: BoxDecoration(color: HexColor.fromHex("#FFFFFF"), borderRadius: BorderRadius.circular(10)),
      child: Column(
        children: [
          Row(
            children: [
              Container(
                width: 4,
                height: 14,
                margin: EdgeInsets.only(right: 10),
                decoration: BoxDecoration(color: HexColor.fromHex("#FF2020"), borderRadius: BorderRadius.circular(10)),
              ),
              Text(
                "查询规则？",
                style: TextStyle(color: HexColor.fromHex("#333333"), fontSize: 15, fontWeight: FontWeight.w500),
              )
            ],
          ),
          SizedBox(
            height: 16,
          ),
          ListView(
            shrinkWrap: true,
            physics: NeverScrollableScrollPhysics(),
            children: [
              Text(
                '''
                1.购买人没同步的订单可通过订单查询找回;
2.当查找人查找到订单，并且该订单在订单库确实找不到归
属时，该订单归属到查找人;
3.当有多个用户输入同一订单号，以第一个输入人为准;
4.已归属的订单不支持继续查询;
5.建议购买人自查，运营商帮助超级会员查询时，不要点击
确认找回，可让购买人自查并找回;
6.收益将按查找人的当前的用户关系进行归属。
                ''',
                style: TextStyle(color: HexColor.fromHex("#999999"), fontSize: 12, fontWeight: FontWeight.w500),
              )
            ],
          )
        ],
      ),
    );
  }

  _buildTest() {
    return OrderFoundNav();
  }
}
