import 'package:flutter/material.dart';
import 'package:zhiying_comm/util/extension/color.dart';
import 'package:zhiying_comm/zhiying_comm.dart';

class OrderFoundNav extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(left: 10, right: 10, top: 10, bottom: 10),
      padding: EdgeInsets.only(left: 10, right: 10, top: 10, bottom: 10),
      decoration: BoxDecoration(color: HexColor.fromHex("#FFFFFF"), borderRadius: BorderRadius.circular(10)),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Row(
            children: [
              Container(
                width: 4,
                height: 14,
                decoration: BoxDecoration(color: HexColor.fromHex("#FF2020"), borderRadius: BorderRadius.circular(10)),
                margin: EdgeInsets.only(right: 10),
              ),
              Text(
                "如何获取订单编号？",
                style: TextStyle(color: HexColor.fromHex("#333333"), fontSize: 15, fontWeight: FontWeight.w500),
              )
            ],
          ),
          Padding(
            padding: const EdgeInsets.only(left: 15),
            child: Text(
              "美图、饿了么、权益等",
              style: TextStyle(color: HexColor.fromHex("#999999"), fontSize: 12, fontWeight: FontWeight.w500),
            ),
          ),
          SizedBox(
            height: 10,
          ),
          createNav()
        ],
      ),
    );
  }

  createNav() {
    List<Widget> listWidget = List();

    for (var index = 0; index < 2; index++) {
      listWidget.add(Row(
        children: _buildRow(index),
      ));
    }

    return Column(children: listWidget);
  }

  _buildRow(int index2) {
    List<Widget> listWidget = List();

    for (var index = 0; index < 5; index++) {
      listWidget.add(Expanded(
        child: _buildItem(),
      ));
    }

    return listWidget;
  }

  _buildItem() {
    return Container(
      margin: EdgeInsets.only(top: 10),
      child: Column(
        children: [
          CachedNetworkImage(
            imageUrl: "https://alipic.lanhuapp.com/SketchPngcc0450a94dea814bcb680581f96ff1646a8b4f7c00a496f21e808f6c3dbfebe1",
            width: 40,
            height: 40,
          ),
          SizedBox(
            height: 6,
          ),
          Text(
            "苏宁",
            style: TextStyle(color: HexColor.fromHex("#333333"), fontSize: 12),
          ),
        ],
      ),
    );
  }
}
